<ion-app>
  <app-header *ngIf="dispatchView; else dataAwaitedBlk" title="Appointment"></app-header>
  <ion-content class="ion-padding eh-py-0">
    <ng-container *ngIf="dispatchView; else dataAwaitedBlk">
      <ng-container *ngIf="isPackageSubscribed; else isPackageNotSubscribedBlk">
        <div fxLayout="row" fxLayoutAlign="center" class="eh-w-150 ">
          <button *ngIf="!loadingSlots" mat-flat-button [routerLink]="['/tab/appointments/history']"
            [ngClass]="{'e-mat-button e-mat-button--eblue400 eh-w-100p': true, 'eh-csr-dsb': !selectedSlot}">
            Appointment History
          </button>
          <div *ngIf="loadingSlots" class="e-spinner e-spinner--2 eh-h-36">
            <mat-spinner [diameter]="24" [strokeWidth]="2"></mat-spinner>
          </div>
        </div>
        <br>
        <div fxLayout="column">
          <div class="e-card2 e-card2--shadow">
            <div class="e-card2__header">
              <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">event</mat-icon>
              <span class="eh-txt">
                Next Appointment
              </span>
            </div>
            <div class="eh-p-6">
              <app-appointment-doc *ngIf="nextAppointment; else noNextAppointmentBlk" [appointment]="nextAppointment"
                (onCancel)="onCancelClick($event)">
              </app-appointment-doc>

              <ng-template #noNextAppointmentBlk>
                <div class="e-txt e-txt--placeholder">
                  No Upcoming Appointments
                </div>
              </ng-template>
            </div>
          </div>
        </div>
        <div class="e-card2 e-card2--shadow eh-mt-16" fxLayout="column">
          <div class="e-card2__header">
            <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">edit_calendar</mat-icon>
            <span class="eh-txt">
              Book Appointment
            </span>
          </div>
          <app-book-appointment></app-book-appointment>
        </div>



        <!-- <div class="e-card2 e-card2--shadow eh-h-100p" fxLayout="column">
          <div class="e-card2__header">
            <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">calendar_view_month</mat-icon>
            <span class="eh-txt">
              All My Appointments
            </span>
          </div>

          <div class="eh-ofy-auto eh-hide-scrollbars">
            <mat-tab-group class="e-mat-tab-group e-mat-tab-group--1 eh-h-100p" animationDuration="0ms"
              [selectedIndex]="0">
              <mat-tab label="Previous">
                <div class="eh-p-2 eh-ofy-scroll eh-hide-scrollbars">
                  <ng-container *ngIf="previousAppointments.length > 0; else noPreviousAppointmentsBlk">
                    <div *ngFor="let appt of previousAppointments" class="eh-mt-16 eh-t-spacer">
                      <app-appointment-doc [appointment]="appt" (onCancel)="onCancelClick($event)">
                      </app-appointment-doc>
                    </div>
                  </ng-container>
                  <ng-template #noPreviousAppointmentsBlk>
                    <div fxLayout="column" fxLayoutAlign="center center">
                      <div class=" e-txt e-txt--placeholder">
                        No Previous Appointments
                      </div>
                    </div>
                  </ng-template>
                </div>
              </mat-tab>
              <mat-tab label="Upcoming">
                <div class="eh-p-2 eh-ofy-scroll eh-hide-scrollbars">
                  <ng-container *ngIf="upcomingAppointments.length > 0; else noUpcomingAppointmentsBlk">
                    <div *ngFor="let appt of upcomingAppointments" class="eh-mt-16 eh-t-spacer">
                      <app-appointment-doc [appointment]="appt" (onCancel)="onCancelClick($event)">
                      </app-appointment-doc>
                    </div>
                  </ng-container>

                </div>

                <ng-template #noUpcomingAppointmentsBlk>
                  <div fxLayout="row" fxLayoutAlign="center center">
                    <div class="e-txt e-txt--placeholder">
                      No Upcoming Appointments
                    </div>
                  </div>
                </ng-template>
              </mat-tab>
            </mat-tab-group>
          </div>
        </div> -->
      </ng-container>

      <ng-template #isPackageNotSubscribedBlk>
        <div class="eh-h-100p" fxLayout="column" fxLayoutAlign="center center">
          <span class="e-txt e-txt--placeholder">This is a PRO-member area.</span>
          <span class="e-txt e-txt--placeholder">Please subscribe to a package to access this section.</span>
          <button *ngIf="!me.flags.isOrientationScheduled" mat-stroked-button
            class="e-mat-button e-mat-button--eblue400 eh-mt-8" (click)="showDialog()">
            Resume On-boarding
          </button>
        </div>
      </ng-template>
    </ng-container>
    <ng-template #dataAwaitedBlk>
      <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
        <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
      </div>
    </ng-template>
  </ion-content>
  <!-- <app-tabs></app-tabs> -->
</ion-app>